# Fetch Transactions

<mark style="color:blue;">`GET`</mark> `https://api.pis.ng/v1.0/payouts/transfer/fetch`

#### Headers

| Name                                           | Type   | Description          |
| ---------------------------------------------- | ------ | -------------------- |
| Secret-Key<mark style="color:red;">\*</mark>   | string | Your PIS Secret Key. |
| Content-Type<mark style="color:red;">\*</mark> | string | application/json     |

#### Request Body

| Name      | Type   | Description                                                                        |
| --------- | ------ | ---------------------------------------------------------------------------------- |
| startDate | string | Filter by start date (YYYY-MM-DD).                                                 |
| endDate   | string | Filter by end date (YYYY-MM-DD).                                                   |
| page      | int    | Jump to any page of you want to retrieve.                                          |
| limit     | int    | The number of rows you want to retrieve. The maximum rows you can retrieve is 100. |

{% tabs %}
{% tab title="200: OK application/json" %}

```json
{
    "code": 200,
    "status": "success",
    "message": "Successful",
    "data": [
        {
            "reference": "183136167785160334432965",
            "amount": "1000",
            "accountNumber": "1111111111",
            "accountName": "DAVID OKEDION",
            "bankName": "GUARANTEE TRUST BANK",
            "bankCode": "000013",
            "narration": "First withdrawal",
            "charge": "50",
            "status": "approved",
            "callbackUrl": "",
            "date": "1677851604"
        },
        {
            "reference": "560001167785184999737659",
            "amount": "2000",
            "accountNumber": "1111111111",
            "accountName": "DAVID OKEDION",
            "bankName": "KUDA MICROFINANCE BANK",
            "bankCode": "090267",
            "narration": "My second withdrawal",
            "charge": "50",
            "status": "approved",
            "callbackUrl": "",
            "date": "1677851850"
        },
        {
            "reference": "284132167785210058537836",
            "amount": "2000",
            "accountNumber": "1111111111",
            "accountName": "DAVID OKEDION",
            "bankName": "ECOBANK PLC",
            "bankCode": "000010",
            "narration": "Food stuff",
            "charge": "50",
            "status": "approved",
            "callbackUrl": "",
            "date": "1677852101"
        }
    ],
    "meta": {
        "page": 0,
        "limit": 10,
        "totalPages": 1,
        "totalRows": 3
    }
}
```

{% endtab %}

{% tab title="401: Unauthorized application/json" %}

```json
{
    "code": 401,
    "status": "error",
    "message": "Authorization required!",
    "data": null
}
```

{% endtab %}

{% tab title="400: Bad Request application/json" %}

```json
{
    "code": 400,
    "status": "error",
    "message": "Bad Request",
    "data": null
}
```

{% endtab %}

{% tab title="404: Not Found application/json" %}

```json
{
    "code": 404,
    "status": "error",
    "message": "The endpoint you are trying to access does not exist.",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pis.ng/v1.0/payouts/bank-transfer/fetch-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
